Update CRM list
curl --request PATCH \
--url https://api.topyappers.com/api/v2/crm/lists/{list_id} \
--header 'Content-Type: application/json' \
--header 'x-ty-api-key: <api-key>' \
--data '
{
"name": "June outreach - priority",
"description": "Priority creators for June campaign"
}
'import requests
url = "https://api.topyappers.com/api/v2/crm/lists/{list_id}"
payload = {
"name": "June outreach - priority",
"description": "Priority creators for June campaign"
}
headers = {
"x-ty-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-ty-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'June outreach - priority',
description: 'Priority creators for June campaign'
})
};
fetch('https://api.topyappers.com/api/v2/crm/lists/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK",
"response": {
"id": "<string>",
"name": "<string>",
"website_id": "<string>",
"description": "<string>",
"budget": 123,
"start_date": "<string>",
"end_date": "<string>",
"team_id": "<string>",
"active": true,
"contact_count": 123,
"to_outreach_count": 123,
"date_created": "<string>",
"date_updated": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}PATCH
/
api
/
v2
/
crm
/
lists
/
{list_id}
Update CRM list
Authorizations
Path Parameters
CRM list ID.
Body
application/json
⌘I
